Bug 248098 - Cannot set home page to "file:///..."
Cannot set home page to "file:///..."
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 04:21 EDT by Piergiorgio Sartor
Modified: 2008-11-15 13:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-15 13:03:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2007-07-13 04:21:33 EDT
Description of problem:
It seems setting the home page (Preferences->Main) to a local file, specifically
the fedora release notes, is not recognized/stored.

Version-Release number of selected component (if applicable):
firefox-2.0.0.4-2.fc7

How reproducible:
Always

Steps to Reproduce:
1.
Go to "Preferences->Main"
2.
Set "When FF start show" to "My home page"
3.
Set the "Home Page" to "file:///usr/share/doc/HTML/index.html"
4.
Exit and restart FF or hit the "Home" button

Actual results:
Usually the default (!) Google (why oh why?) page is shown

Expected results:
The selected file should be shown

Additional info:
Setting the "When FF start show" to "Blank Page" works and also the button "Use
current pages" works, but if the current page is a file, it does not store it as
home page.
Note that the "history", in the Home Page entry, remembers the "file:///..."
thing, but it seems it does not like to use it as an home page.
Comment 1 Rafał Polak 2007-07-25 07:13:06 EDT
Same bug exists in newest Firefox 2.0.0.5 version.
Comment 2 William Makowski 2007-11-20 23:48:37 EST
I am seeing this same bug in firefox-2.0.0.9-1.fc7.  It will allow me to set my
homepage to other files, but not file:///usr/share/doc/HTML/index.html.
Comment 3 Ricky Zhou 2007-12-05 22:16:50 EST
I am getting similar results with firefox-2.0.0.10-2.fc8 and
"http://start.fedoraproject.org/".  Whenever that exact string is entered into
the Home Page field, it becomes blank (and uses Firefox's default google home
page instead).  
Comment 4 Piergiorgio Sartor 2007-12-11 11:02:13 EST
It seems to me that, at least under KDE (I don't know if it makes any difference
with GNOME) the issue is gone.
I was browsing to file:///usr/share/doc/HTML/index.html, setting this as
homepage, and that was remembered.
Restarting FF and/or clicking the home button were both leading to the
previously set homepage.

This was with the latest firefox-2.0.0.10-2.fc8.

I was not able to reproduce the issue reported in comment #3.
Comment 5 Ricky Zhou 2007-12-11 17:09:37 EST
(In reply to comment #4)
> I was browsing to file:///usr/share/doc/HTML/index.html, setting this as
> homepage, and that was remembered.
> This was with the latest firefox-2.0.0.10-2.fc8.
I don't think that page would affect this bug in fedora 8, since the behavior
only seems to happen when the default homepage (now
"http://start.fedoraproject.org/") is involved.  
> I was not able to reproduce the issue reported in comment #3.
I was able to reproduce this in KDE on Fedora 8, using both the "Use Current
Page" button and entering "http://start.fedoraproject.org/" by hand.  
Comment 6 Matěj Cepl 2008-02-21 17:35:48 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 7 Matěj Cepl 2008-02-21 17:36:55 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 8 Ricky Zhou 2008-02-21 22:33:44 EST
I'm still experiencing a similar problem as described in comment #3 with
firefox-3.0-0.beta2.18.nightly20080210.fc9.i386 in rawhide.  This time, however,
when the I close the preferences (with the blank Home Page field), the home page
becomes about:blank instead of the google page.  
Comment 9 Christopher Aillon 2008-02-22 00:35:57 EST
Okay.  This is probably a Fedora specific bug, but not sure about it right now.
 I fixed a similar issue in Fedora 8 which behaves better, I think.  F9 needs a
similar patch.
Comment 10 Bug Zapper 2008-05-13 23:04:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Martin Stransky 2008-10-29 08:04:58 EDT
Taking this bug...
Comment 12 Christopher Aillon 2008-11-15 13:03:56 EST
Fixed in F-9 and F-10 with Firefox 3.0.4 or higher, or in F-8 with 2.0.0.18

Note You need to log in before you can comment on or make changes to this bug.